## ros-one-rosauth 1.0.1-1jammy.20251023.0112

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosauth)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp message_generation)
find_package(OpenSSL REQUIRED)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate services in the 'srv' folder
add_service_files(
  FILES
  Authentication.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(CATKIN_DEPENDS roscpp message_runtime)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIR}
)

## Declare a cpp executable
add_executable(ros_mac_authentication src/ros_mac_authentication.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(ros_mac_authentication ${catkin_LIBRARIES} OpenSSL::SSL OpenSSL::Crypto)

add_dependencies(ros_mac_authentication ${PROJECT_NAME}_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ros_mac_authentication
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  ## Add gtest based cpp test target and link libraries
  add_executable(ros_mac_authentication_test test/ros_mac_authentication_test.cpp)
  add_dependencies(ros_mac_authentication_test ${PROJECT_NAME}_gencpp)
  if(MSVC)
    target_link_libraries(ros_mac_authentication_test ${catkin_LIBRARIES} ${GTEST_LIBRARIES} OpenSSL::SSL OpenSSL::Crypto)
  else()
    target_link_libraries(ros_mac_authentication_test ${catkin_LIBRARIES} ${GTEST_LIBRARIES} OpenSSL::SSL OpenSSL::Crypto dl pthread)
  endif()
  add_rostest(test/ros_mac_authentication.test)
endif()

=== debian/changelog ===
ros-one-rosauth (1.0.1-1jammy.20251023.0112) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Rein Appeldoorn <rein@eurotec.com>  Thu, 23 Oct 2025 01:12:47 +0000

ros-one-rosauth (1.0.1-0jammy) jammy; urgency=high

  * Fix buffer overrun (#19 <https://github.com/GT-RAIL/rosauth/issues/19>)
  * enable Windows build (#25 <https://github.com/GT-RAIL/rosauth/issues/25>)
  * Contributors: Atsushi Watanabe, James Xu

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 02 Sep 2019 00:00:00 -0000

ros-one-rosauth (1.0.0-0jammy) jammy; urgency=high

  * chore: Update README, Author, maintainer
  * fix: rostest test dependency (#26 <https://github.com/GT-RAIL/rosauth/issues/26>)
  * new: parameters in node namespace (#22 <https://github.com/GT-RAIL/rosauth/issues/22>)
  * new: parameter for allowed_time_delta (#24 <https://github.com/GT-RAIL/rosauth/issues/24>)
  * Industrial CI ROS kinetic, melodic
  * Use package format 2
  * Contributors: David Kent, Dirk Thomas, Rein Appeldoorn, Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Fri, 30 Aug 2019 00:00:00 -0000

ros-one-rosauth (0.1.7-0jammy) jammy; urgency=high

  * Merge pull request #8 from ckrooss/develop
    Added gencpp-dependency for test target
  * Added gencpp-dependency for test target
  * Contributors: Russell Toris, ckrooss

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 10 Aug 2015 00:00:00 -0000

ros-one-rosauth (0.1.6-0jammy) jammy; urgency=high

  * Merge pull request #5 from cottsay/hydro-devel
    missing libssl-dev during build
  * Added libssl-dev to build_depend
  * Contributors: Russell Toris, Scott K Logan

 -- Rein Appeldoorn <rein@eurotec.com>  Tue, 24 Mar 2015 00:00:00 -0000

ros-one-rosauth (0.1.5-0jammy) jammy; urgency=high

  * Merge pull request #6 from forouher/develop
    add missing catkin dependencies
  * add missing catkin dependencies
  * Now runs hydro and groovy
  * fixed dox file
  * Contributors: Dariush Forouher, Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Tue, 02 Dec 2014 00:00:00 -0000

ros-one-rosauth (0.1.4-0jammy) jammy; urgency=high

  * dox file fixed
  * authors file added
  * travis now runs tests
  * cleanup for indigo
  * Merge branch 'hydro-devel' of github.com:WPI-RAIL/rosauth into develop
  * Merge pull request #4 <https://github.com/WPI-RAIL/rosauth/issues/4> from FriedCircuits/hydro-devel
    Add IF for rostest
  * Add IF for rostest
  * switched to sha512
  * bug in rosauth fixed
  * Contributors: Russell Toris, William

 -- Rein Appeldoorn <rein@eurotec.com>  Thu, 03 Apr 2014 00:00:00 -0000

ros-one-rosauth (0.1.3-0jammy) jammy; urgency=high

  * possible cmake fix
  * test cmake fix
  * test cmake fix
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Wed, 01 May 2013 00:00:00 -0000

ros-one-rosauth (0.1.2-0jammy) jammy; urgency=high

  * Merge pull request #1 <https://github.com/WPI-RAIL/rosauth/issues/1> from rctoris/groovy-devel
    ros_hash_authentication renamed to ros_mac_authentication
  * ros_hash_authentication renamed to ros_mac_authentication
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Tue, 12 Mar 2013 00:00:00 -0000

ros-one-rosauth (0.1.1-0jammy) jammy; urgency=high

  * version 0.1.1 of rosauth
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 27 Jan 2013 23:15:00 -0000

ros-one-rosauth (0.1.0-0jammy) jammy; urgency=high

  * dependencies fixed
  * catkin release
  * test cases added
  * test cases added
  * initial import
  * Create README
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 27 Jan 2013 10:33:00 -0000

## ros-one-rosauth 1.0.1-1jammy.20260220.2206

=== debian/changelog ===
ros-one-rosauth (1.0.1-1jammy.20260220.2206) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Rein Appeldoorn <rein@eurotec.com>  Fri, 20 Feb 2026 22:06:06 +0000

## ros-one-rosauth 1.0.1-1noble.20251023.0110

=== debian/changelog ===
ros-one-rosauth (1.0.1-1noble.20251023.0110) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Rein Appeldoorn <rein@eurotec.com>  Thu, 23 Oct 2025 01:10:48 +0000

ros-one-rosauth (1.0.1-0noble) noble; urgency=high

  * Fix buffer overrun (#19 <https://github.com/GT-RAIL/rosauth/issues/19>)
  * enable Windows build (#25 <https://github.com/GT-RAIL/rosauth/issues/25>)
  * Contributors: Atsushi Watanabe, James Xu

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 02 Sep 2019 00:00:00 -0000

ros-one-rosauth (1.0.0-0noble) noble; urgency=high

  * chore: Update README, Author, maintainer
  * fix: rostest test dependency (#26 <https://github.com/GT-RAIL/rosauth/issues/26>)
  * new: parameters in node namespace (#22 <https://github.com/GT-RAIL/rosauth/issues/22>)
  * new: parameter for allowed_time_delta (#24 <https://github.com/GT-RAIL/rosauth/issues/24>)
  * Industrial CI ROS kinetic, melodic
  * Use package format 2
  * Contributors: David Kent, Dirk Thomas, Rein Appeldoorn, Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Fri, 30 Aug 2019 00:00:00 -0000

ros-one-rosauth (0.1.7-0noble) noble; urgency=high

  * Merge pull request #8 from ckrooss/develop
    Added gencpp-dependency for test target
  * Added gencpp-dependency for test target
  * Contributors: Russell Toris, ckrooss

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 10 Aug 2015 00:00:00 -0000

ros-one-rosauth (0.1.6-0noble) noble; urgency=high

  * Merge pull request #5 from cottsay/hydro-devel
    missing libssl-dev during build
  * Added libssl-dev to build_depend
  * Contributors: Russell Toris, Scott K Logan

 -- Rein Appeldoorn <rein@eurotec.com>  Tue, 24 Mar 2015 00:00:00 -0000

ros-one-rosauth (0.1.5-0noble) noble; urgency=high

  * Merge pull request #6 from forouher/develop
    add missing catkin dependencies
  * add missing catkin dependencies
  * Now runs hydro and groovy
  * fixed dox file
  * Contributors: Dariush Forouher, Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Tue, 02 Dec 2014 00:00:00 -0000

ros-one-rosauth (0.1.4-0noble) noble; urgency=high

  * dox file fixed
  * authors file added
  * travis now runs tests
  * cleanup for indigo
  * Merge branch 'hydro-devel' of github.com:WPI-RAIL/rosauth into develop
  * Merge pull request #4 <https://github.com/WPI-RAIL/rosauth/issues/4> from FriedCircuits/hydro-devel
    Add IF for rostest
  * Add IF for rostest
  * switched to sha512
  * bug in rosauth fixed
  * Contributors: Russell Toris, William

 -- Rein Appeldoorn <rein@eurotec.com>  Thu, 03 Apr 2014 00:00:00 -0000

ros-one-rosauth (0.1.3-0noble) noble; urgency=high

  * possible cmake fix
  * test cmake fix
  * test cmake fix
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Wed, 01 May 2013 00:00:00 -0000

ros-one-rosauth (0.1.2-0noble) noble; urgency=high

  * Merge pull request #1 <https://github.com/WPI-RAIL/rosauth/issues/1> from rctoris/groovy-devel
    ros_hash_authentication renamed to ros_mac_authentication
  * ros_hash_authentication renamed to ros_mac_authentication
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Tue, 12 Mar 2013 00:00:00 -0000

ros-one-rosauth (0.1.1-0noble) noble; urgency=high

  * version 0.1.1 of rosauth
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 27 Jan 2013 23:15:00 -0000

ros-one-rosauth (0.1.0-0noble) noble; urgency=high

  * dependencies fixed
  * catkin release
  * test cases added
  * test cases added
  * initial import
  * Create README
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 27 Jan 2013 10:33:00 -0000

=== debian/control ===
Source: ros-one-rosauth
Section: misc
Priority: optional
Maintainer: Rein Appeldoorn <rein@eurotec.com>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, ros-one-catkin, ros-one-message-generation, ros-one-roscpp
Homepage: http://ros.org/wiki/rosauth
Standards-Version: 3.9.2

Package: ros-one-rosauth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-roscpp
Description: Server Side tools for Authorization and Authentication of ROS Clients

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rosauth//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rosauth 1.0.1-1noble.20260220.2215

=== debian/changelog ===
ros-one-rosauth (1.0.1-1noble.20260220.2215) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Rein Appeldoorn <rein@eurotec.com>  Fri, 20 Feb 2026 22:15:35 +0000
